<?php
session_start();
ob_start();
//define('URL', 'http://www.portalediouro.com.br/eed/adm/');
define('URL', 'http://localhost:8080/Ediouro/Distribuicao/www/eed/adm/');

define('CONTROLER', 'controle-login');
define('METODO', 'login');

//Credenciais de acesso ao BD
/*
define('HOST', 'mysql.portalediouro.com.br');
define('USER', 'portaled01_add1');
define('PASS', 'ediouro123');
define('DBNAME', 'portalediouro01');
*/
/*
define('HOST', 'localhost');
define('USER', 'root');
define('PASS', '1Qaz2wsx@31');
define('DBNAME', 'portalediouro02');
*/
define('HOST', 'mysql.portalediouro.com.br');
define('USER', 'portaled02_add1');
define('PASS', 'ediouro123');
define('DBNAME', 'portalediouro02');

 $_SESSION['HOST']   = HOST;
 $_SESSION['USER']   = USER;
 $_SESSION['PASS']   = PASS;
 $_SESSION['DBNAME'] = DBNAME;

function __autoload($Class) {
    $dirName = array(
        'controllers',
        'models',
        'models/helper',
        'views',
        'config'
    );
    foreach ($dirName as $diretorios) {
        if (file_exists("{$diretorios}/{$Class}.php")):
            require("{$diretorios}/{$Class}.php");        
        endif;
    }
    
}
